Public Class User
    ' members...
    Public Username As String
    Private _password As String
    Public Shared MinPasswordLength As Integer = 6

    ' Password property...
    Public Property Password() As String
        Get
            Return _password
        End Get
        Set(ByVal Value As String)
            If Value.Length >= MinPasswordLength Then
                _password = Value
            End If
        End Set
    End Property


    ' CreateUser - create a new user...
    Public Shared Function CreateUser(ByVal username As String, _
                     ByVal password As String) As User

        ' create a new user...
        Dim user As New User()
        user.Username = username
        user.Password = password

        ' return it...
        Return user

    End Function


End Class
